lkml.org 
[lkml]   [2021]   [Jun]   [29]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
SubjectRe: [PATCH] scsi: mptfc: switch from 'pci_' to 'dma_' API
Date
On Sun, 13 Jun 2021 09:10:16 +0200, Christophe JAILLET wrote:

> The wrappers in include/linux/pci-dma-compat.h should go away.
>
> The patch has been generated with the coccinelle script below and has been
> hand modified to replace GFP_ with a correct flag.
> It has been compile tested.
>
> When memory is allocated in 'mptfc_GetFcDevPage0()' GFP_KERNEL can be used
> because it is already used in this function and no lock is acquired in the
> between.
>
> [...]

Applied to 5.14/scsi-queue, thanks!

[1/1] scsi: mptfc: switch from 'pci_' to 'dma_' API
https://git.kernel.org/mkp/scsi/c/1897c5c75975

--
Martin K. Petersen Oracle Linux Engineering

\
 
 \ /
  Last update: 2021-06-29 06:10    [W:0.066 / U:0.156 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site